/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Firefox.
 *
 * The Initial Developer of the Original Code is Mozilla.
 * Portions created by the Initial Developer are Copyright (C) 2006
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Myk Melez <myk@mozilla.org>
 *   Asaf Romano <mano@mozilla.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

/**** folder menulist ****/
.folder-icon > .menulist-label-box > .menulist-icon,
.folder-icon > .menu-iconic-left > .menu-iconic-icon {
  width: 16px;
  height: 16px;
}

.folder-icon > .menu-iconic-left {
  display: -moz-box;
}

.folder-icon {
  list-style-image: url("chrome://global/skin/tree/folder.png") !important;
}

.menulist-icon {
	margin: 0 !important;
}

/**** folder tree ****/

#editBMPanel_folderTree {
   margin: 6px 0;
}

/**** expanders ****/

.expander-up,
.expander-down {
  -moz-appearance: none;
  margin-left: 8px;
  padding: 0;
  min-width: 0;
}

.expander-up {
	list-style-image: url("chrome://browser/skin/places/expander-open.png") !important;
}

.expander-down {
	list-style-image: url("chrome://browser/skin/places/expander-closed.png") !important;
}

.expander-down:hover:active {
	list-style-image: url("chrome://browser/skin/places/expander-closed-active.png") !important;
}

.expander-up:hover:active {
	list-style-image: url("chrome://browser/skin/places/expander-open-active.png") !important;
}

/**** name picker ****/

/* Make the microsummary picker look like a regular textbox instead of 
 * an editable menulist when no microsummaries are available.
 */
#editBMPanel_namePicker[droppable="false"] {
  -moz-appearance: none;
  margin: 0px;
  border: none;
  padding: 0px;
  height: auto !important;
}

#editBMPanel_namePicker[droppable="false"] > .menulist-dropmarker {
  display: none;
}

#editBMPanel_namePicker[droppable="false"] > .menulist-editable-box {
  /* These rules are duplicates of the rules for the textbox element
   * in textbox.css and should track changes in that file.
   */
  -moz-appearance: textfield;
  cursor: text;
  margin: 2px 4px;
  border: 2px solid;
  -moz-border-top-colors: ThreeDShadow ThreeDDarkShadow;
  -moz-border-right-colors: ThreeDHighlight ThreeDLightShadow;
  -moz-border-bottom-colors: ThreeDHighlight ThreeDLightShadow;
  -moz-border-left-colors: ThreeDShadow ThreeDDarkShadow;
  padding: 2px 2px 3px 4px;
  background-color: -moz-Field;
  color: -moz-FieldText;
}

#editBMPanel_namePicker[droppable="false"] > .menulist-editable-box > html|*.textbox-input {
  margin: 0px !important;
  border: none !important;
  padding: 0px !important;
  background-color: inherit;
  color: inherit;
  font: inherit;
}

/* Hide the drop marker and the popup. */

#editBMPanel_namePicker[droppable="false"] > .menulist-dropmarker {
  display: none;
}

#editBMPanel_namePicker[droppable="false"] > menupopup {
  display: none;
}
